BorderUIResource.BevelBorderUIResource (Java SE 9 & JDK 9 )
Keywords: javax.swing.plaf.BorderUIResource.BevelBorderUIResource class

Module java.desktop
Package javax.swing.plaf

## Class BorderUIResource.BevelBorderUIResource

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.BevelBorder
    - - javax.swing.plaf.BorderUIResource.BevelBorderUIResource

- All Implemented Interfaces:
    `Serializable`, `Border`, `UIResource`
  Enclosing class:
    BorderUIResource

      public static class BorderUIResource.BevelBorderUIResource
      extends BevelBorder
      implements UIResource

  A bevel border UI resource.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.border.BevelBorder

      `bevelType, highlightInner, highlightOuter, LOWERED, RAISED, shadowInner, shadowOuter`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BevelBorderUIResource​(int bevelType)` | Constructs a `BevelBorderUIResource`.
    `BevelBorderUIResource​(int bevelType, Color highlight, Color shadow)` | Constructs a `BevelBorderUIResource`.
    `BevelBorderUIResource​(int bevelType, Color highlightOuter, Color highlightInner, Color shadowOuter, Color shadowInner)` | Constructs a `BevelBorderUIResource`.

  - ### Method Summary

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`

    - ### Methods inherited from class javax.swing.border.BevelBorder

      `getBevelType, getBorderInsets, getHighlightInnerColor, getHighlightInnerColor, getHighlightOuterColor, getHighlightOuterColor, getShadowInnerColor, getShadowInnerColor, getShadowOuterColor, getShadowOuterColor, isBorderOpaque, paintBorder, paintLoweredBevel, paintRaisedBevel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BevelBorderUIResource

          public BevelBorderUIResource​(int bevelType)

      Constructs a `BevelBorderUIResource`.
      Parameters:
        `bevelType` - the type of bevel for the border

    - #### BevelBorderUIResource

          public BevelBorderUIResource​(int bevelType,
                                       Color highlight,
                                       Color shadow)

      Constructs a `BevelBorderUIResource`.
      Parameters:
        `bevelType` - the type of bevel for the border
        `highlight` - the color to use for the bevel highlight
        `shadow` - the color to use for the bevel shadow

    - #### BevelBorderUIResource

          @ConstructorProperties({"bevelType","highlightOuterColor","highlightInnerColor","shadowOuterColor","shadowInnerColor"})
          public BevelBorderUIResource​(int bevelType,
                                       Color highlightOuter,
                                       Color highlightInner,
                                       Color shadowOuter,
                                       Color shadowInner)

      Constructs a `BevelBorderUIResource`.
      Parameters:
        `bevelType` - the type of bevel for the border
        `highlightOuter` - the color to use for the bevel outer highlight
        `highlightInner` - the color to use for the bevel inner highlight
        `shadowOuter` - the color to use for the bevel outer shadow
        `shadowInner` - the color to use for the bevel inner shadow